services:
    _defaults:
        autowire: true
        autoconfigure: true

    ## Indicators
    chill.person.export.count_accompanyingcourse:
        class: Chill\PersonBundle\Export\Export\CountAccompanyingCourse
        tags:
            - { name: chill.export, alias: count_accompanyingcourse }

    chill.person.export.avg_accompanyingcourse_duration:
        class: Chill\PersonBundle\Export\Export\StatAccompanyingCourseDuration
        tags:
          - { name: chill.export, alias: avg_accompanyingcourse_duration }

    ## Filters
    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\UserScopeFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_userscope_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\UserJobFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_userjob_filter }

    chill.person.export.filter_socialissue:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\SocialIssueFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_socialissue_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\StepFilterOnDate:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_step_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\StepFilterBetweenDates:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_step_filter_between_dates }

    chill.person.export.filter_geographicalunitstat:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\GeographicalUnitStatFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_geographicalunitstat_filter }

    chill.person.export.filter_socialaction:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\SocialActionFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_socialaction_filter }

    chill.person.export.filter_evaluation:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\EvaluationFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_evaluation_filter }

    chill.person.export.filter_origin:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\OriginFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_origin_filter }

    chill.person.export.filter_closingmotive:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\ClosingMotiveFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_closingmotive_filter }

    chill.person.export.filter_administrative_location:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\AdministrativeLocationFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_administrative_location_filter }

    chill.person.export.filter_requestor:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\RequestorFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_requestor_filter }

    chill.person.export.filter_confidential:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\ConfidentialFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_confidential_filter }

    chill.person.export.filter_emergency:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\EmergencyFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_emergency_filter }

    chill.person.export.filter_intensity:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\IntensityFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_intensity_filter }

    chill.person.export.filter_activeondate:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\ActiveOnDateFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_activeondate_filter }

    chill.person.export.filter_activeonedaybetweendates:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\ActiveOneDayBetweenDatesFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_activeonedaybetweendates_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\ReferrerFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_referrer_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\ReferrerFilterBetweenDates:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_referrer_filter_between_dates }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\ReferrerMainCenterFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_referrer_main_center_filter }

    chill.person.export.filter_openbetweendates:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\OpenBetweenDatesFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_openbetweendates_filter }

    chill.person.export.filter_has_temporary_location:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\HasTemporaryLocationFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_has_temporary_location_filter }

    chill.person.export.filter_has_no_referrer:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\HasNoReferrerFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_has_no_referrer_filter }

    chill.person.export.filter_has_no_action:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\HasNoActionFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_has_no_action_filter }

    chill.person.export.filter_creator:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\CreatorFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_creator_filter }

    chill.person.export.filter_creator_job:
        class: Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\CreatorJobFilter
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_creator_job_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\UserWorkingOnCourseFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_user_working_on_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\JobWorkingOnCourseFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_job_working_on_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\ScopeWorkingOnCourseFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_scope_working_on_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\HavingAnAccompanyingPeriodInfoWithinDatesFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_info_within_filter }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\NotAssociatedWithAReferenceAddressFilter:
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_not_having_addr_reference_filter }

    ## Aggregators
    chill.person.export.aggregator_referrer_scope:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ScopeAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_scope_aggregator }

    chill.person.export.aggregator_referrer_job:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\UserJobAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_referrer_job_aggregator }

    chill.person.export.aggregator_socialissue:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\SocialIssueAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_socialissue_aggregator }

    chill.person.export.aggregator_step:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\StepAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_step_aggregator }

    chill.person.export.aggregator_geographicalunitstat:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\GeographicalUnitStatAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_geographicalunitstat_aggregator }

    chill.person.export.aggregator_socialaction:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\SocialActionAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_socialaction_aggregator }

    chill.person.export.aggregator_evaluation:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\EvaluationAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_evaluation_aggregator }

    chill.person.export.aggregator_origin:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\OriginAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_origin_aggregator }

    chill.person.export.aggregator_closingmotive:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ClosingMotiveAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_closingmotive_aggregator }

    chill.person.export.aggregator_administrative_location:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\AdministrativeLocationAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_administrative_location_aggregator }

    chill.person.export.aggregator_requestor:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\RequestorAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_requestor_aggregator }

    chill.person.export.aggregator_confidential:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ConfidentialAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_confidential_aggregator }

    chill.person.export.aggregator_emergency:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\EmergencyAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_emergency_aggregator }

    chill.person.export.aggregator_intensity:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\IntensityAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_intensity_aggregator }

    chill.person.export.aggregator_referrer:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ReferrerAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_referrer_aggregator }

    chill.person.export.aggregator_duration:
        class: Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\DurationAggregator
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_duration_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ReferrerScopeAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_ref_scope_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ByActionNumberAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_by_action_number_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\CreatorJobAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_creator_job_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\UserWorkingOnCourseAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_user_working_on_course_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\JobWorkingOnCourseAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_job_working_on_course_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ScopeWorkingOnCourseAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_scope_working_on_course_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\OpeningDateAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_opening_date_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ClosingDateAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_closing_date_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\PersonParticipatingAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_person_part_aggregator }

    Chill\PersonBundle\Export\Aggregator\AccompanyingCourseAggregators\ReferrerMainCenterAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_referrer_main_center_aggregator }
